Subject: [Dhcpv6bis] WGLC review of draft-ietf-dhc-rfc3315bis-08

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 7 Jun 2017 18:54:31 +0000

Hi:

There were 4 WGLC responses with comments (as I write this). While we can skip the typos and other simple corrections, there may be a few issues worth discussing.

Therefore, Tomek and I propose to use our old Wednesday 0800 EDT (1200 UT) time slot to review those issues worth discussing to finalize the set of changes for an -09.

We request Ralph to attend as he needs to provide a consensus call (since another WGLC was done) - I will send him a note under separate cover.

I plan to make many of the minor edits (as I already have started a few) and also pull together an open issues list and distribute before the meeting. But, it is a PLAN not a certainty.

To assist you, here are I believe the links to the emails with comments:
o       Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by June 6th, 2017<https://www.ietf.org/mail-archive/web/dhcwg/current/msg18147.html>, Templin, Fred L
o       Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by May 30th, 2017<https://www.ietf.org/mail-archive/web/dhcwg/current/msg18132.html>, kkinnear
o       Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by May 30th, 2017<https://www.ietf.org/mail-archive/web/dhcwg/current/msg18134.html>, ????
*       Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by May 30th, 2017<https://www.ietf.org/mail-archive/web/dhcwg/current/msg18135.html>, Bernie Volz (volz)
*       Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by May 30th, 2017<https://www.ietf.org/mail-archive/web/dhcwg/current/msg18146.html>, ????
o       Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by May 30th, 2017<https://www.ietf.org/mail-archive/web/dhcwg/current/msg18136.html>, Bernie Volz (volz)
-       Tomek & Bernie

-- Do not delete or change any of the following text. --

Join WebEx meeting<https://cisco.webex.com/ciscosales/j.php?MTID=me8f99647c7886971fb228a6f19a0b09b>
Meeting number: 204 592 394
Meeting password: M5kZiPci (65594724 from phones)

Join from a video conferencing system or application
Dial [email-masked]<sip:[email-masked]>
>From the Cisco internal network, dial *267* and the 9-digit meeting number. If you are the host, enter your PIN when prompted.

If you are a host, go here<https://cisco.webex.com/ciscosales/j.php?MTID=m88c48c6be18cdac41a9186aa90c7065b> to view host information.

Join by phone
+1-866-432-9903 Call-in toll-free number (US/Canada)
+1-408-525-6800 Call-in toll number (US/Canada)
Access code: 204 592 394
Global call-in numbers<https://cisco.webex.com/ciscosales/globalcallin.php?serviceType=MC&ED=389338182&tollFree=1>  |  Toll-free calling restrictions<https://www.webex.com/pdf/tollfree_restrictions.pdf>

Can't join the meeting? Contact support.<https://cisco.webex.com/ciscosales/mc>

IMPORTANT NOTICE: Please note that this WebEx service allows audio and other information sent during the session to be recorded, which may be discoverable in a legal matter. By joining this session, you automatically consent to such recordings. If you do not consent to being recorded, discuss your concerns with the host or do not join the session..
-

---

From: Timothy Winters <[email-masked]>
Date: Wed, 14 Jun 2017 08:12:07 -0400

I'm trapped in a customer emergency (IPv6 testing over 4G)!   Let me know
if you need anything from me.

~Tim

On Wed, Jun 7, 2017 at 2:54 PM, Bernie Volz (volz) <[email-masked]> wrote:

> Hi:
>
> There were 4 WGLC responses with comments (as I write this). While we can
> skip the typos and other simple corrections, there may be a few issues
> worth discussing.
>
> Therefore, Tomek and I propose to use our old Wednesday 0800 EDT (1200 UT)
> time slot to review those issues worth discussing to finalize the set of
> changes for an -09.
>
> We request Ralph to attend as he needs to provide a consensus call (since
> another WGLC was done) – I will send him a note under separate cover.
>
> I plan to make many of the minor edits (as I already have started a few)
> and also pull together an open issues list and distribute before the
> meeting. But, it is a PLAN not a certainty.
>
>    - *Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by June
>    6th, 2017*
>    <https://www.ietf.org/mail-archive/web/dhcwg/current/msg18147.html>, *Templin,
>    Fred L*
>    - *Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by May
>    30th, 2017*
>    <https://www.ietf.org/mail-archive/web/dhcwg/current/msg18132.html>,
>    *kkinnear*
>    - *Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by May
>    30th, 2017*
>    <https://www.ietf.org/mail-archive/web/dhcwg/current/msg18134.html>,
>    *神明達哉*
>
>
>    - *Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by May
>    30th, 2017*
>    <https://www.ietf.org/mail-archive/web/dhcwg/current/msg18135.html>, *Bernie
>    Volz (volz)*
>
>
>    - *Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by May
>    30th, 2017*
>    <https://www.ietf.org/mail-archive/web/dhcwg/current/msg18146.html>,
>    *神明達哉*
>
>
>    - *Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by May
>    30th, 2017*
>    <https://www.ietf.org/mail-archive/web/dhcwg/current/msg18136.html>, *Bernie
>    Volz (volz)*
>
>
>    - Tomek & Bernie
>
>
>
> *Join WebEx meeting*
> <https://cisco.webex.com/ciscosales/j.php?MTID=me8f99647c7886971fb228a6f19a0b09b>
>
> Dial [email-masked]*
> From the Cisco internal network, dial *267* and the 9-digit meeting
> number. If you are the host, enter your PIN when prompted.
>
>
> If you are a host, *go here*
> <https://cisco.webex.com/ciscosales/j.php?MTID=m88c48c6be18cdac41a9186aa90c7065b>
> to view host information.
>
> Join by phone
> *+1-866-432-9903* Call-in toll-free number (US/Canada)
> *+1-408-525-6800* Call-in toll number (US/Canada)
> Access code: 204 592 394
> *Global call-in numbers*
> <https://cisco.webex.com/ciscosales/globalcallin.php?serviceType=MC&ED=389338182&tollFree=1>
>   |  *Toll-free calling restrictions*
> <https://www.webex.com/pdf/tollfree_restrictions.pdf>
>
>
> Can't join the meeting? *Contact support.*
> <https://cisco.webex.com/ciscosales/mc>
>
> IMPORTANT NOTICE: Please note that this WebEx service allows audio and
> other information sent during the session to be recorded, which may be
> discoverable in a legal matter. By joining this session, you automatically
> consent to such recordings. If you do not consent to being recorded,
> discuss your concerns with the host or do not join the session..
>
>    -
>    -
>
>
> _______________________________________________
> Dhcpv6bis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dhcpv6bis
>
>

-- 

Now offering testing for SDN applications and controllers in our SDN switch
test bed. Learn more today http://bit.ly/SDN_IOLPR

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 14 Jun 2017 13:08:11 +0000

Tomek, Ralph, and I met to review the open issues (see https://docs.google.com/spreadsheets/d/10e00zAlqlR58NSsZfmxshv5tr76Ea3pyGyDpll8eDLA/edit?usp=sharing). We ran out of time for the last few (row 25 and up), but Tomek will take a look at this and update the sheet with comments. Input on these (25 and up) or comments about earlier ones we evaluated if you have a difference of opinion are welcome.

The plan is to get the 09 out shortly (definitely before the IETF-99 deadline, July 3rd) and Ralph will do the WGLC consensus call.

(If anyone wants write access to the document, let me know and I will set you up to have write access.)

  *   Bernie

From: Dhcpv6bis <[email-masked]> on behalf of Timothy Winters <[email-masked]>
Date: Wednesday, June 14, 2017 at 8:12 AM
To: "[email-masked]" <[email-masked]>
Subject: Re: [Dhcpv6bis] WGLC review of draft-ietf-dhc-rfc3315bis-08

I'm trapped in a customer emergency (IPv6 testing over 4G)!   Let me know if you need anything from me.

~Tim

On Wed, Jun 7, 2017 at 2:54 PM, Bernie Volz (volz) <[email-masked]<mailto:[email-masked]>> wrote:
Hi:

We request Ralph to attend as he needs to provide a consensus call (since another WGLC was done) – I will send him a note under separate cover.

To assist you, here are I believe the links to the emails with comments:
·         Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by June 6th, 2017<https://www.ietf.org/mail-archive/web/dhcwg/current/msg18147.html>, Templin, Fred L
·         Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by May 30th, 2017<https://www.ietf.org/mail-archive/web/dhcwg/current/msg18132.html>, kkinnear
·         Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by May 30th, 2017<https://www.ietf.org/mail-archive/web/dhcwg/current/msg18134.html>, 神明達哉
·         Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by May 30th, 2017<https://www.ietf.org/mail-archive/web/dhcwg/current/msg18135.html>, Bernie Volz (volz)
·         Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by May 30th, 2017<https://www.ietf.org/mail-archive/web/dhcwg/current/msg18146.html>, 神明達哉
·         Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by May 30th, 2017<https://www.ietf.org/mail-archive/web/dhcwg/current/msg18136.html>, Bernie Volz (volz)
·         Tomek & Bernie

Join from a video conferencing system or application
Dial [email-masked]
From the Cisco internal network, dial *267* and the 9-digit meeting number. If you are the host, enter your PIN when prompted.

Join by phone

·
·

_______________________________________________
Dhcpv6bis mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/dhcpv6bis

--

Now offering testing for SDN applications and controllers in our SDN switch test bed. Learn more today http://bit.ly/SDN_IOLPR

---

From: Tomek Mrugalski <[email-masked]>
Date: Wed, 14 Jun 2017 20:29:26 +0200

W dniu 14.06.2017 o 15:08, Bernie Volz
(volz) pisze:

We
ran out of time for the last few (row 25 and up), but Tomek
will take a look at this and update the sheet with comments.

I just did that. Here are my comments for specific lines:

#25: I agree with Bernie's suggestion. The text has been updated.
Please review.

#26: Jinmei said he's not sure whether the problem is there, doesn't
have time so he gave up. No other reviewers raised this concern, so
there's nothing to do there in my opinion.

#27: not sure what to do here. Perhaps we can wait a bit for Jinmei
to contribute a text, but don't treat it as a blocking issue for -09
submission?

#28: the current text is pretty clear to me. No action needed here
in my opinion.

Tomek

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Wed, 14 Jun 2017 20:04:12 +0000

Tomek:

Did we miss discussing Row 9:

Section 18.2- Page 50 (PDF) (last paragraph of section 18.2): The “and duplicate responses by servers” doesn’t make any sense in this regard. Unicast can only be used for instances where a single server is being addressed so it makes no sense to say this.

There’s no action or assignee. Please review and let me know what you think (action …).

BTW: I am working through my assigned issues, but Row 5 will probably take a bit of time to do (as there are plenty of places to check that field sizes are specified). So that will likely a take few days to work through.

Tomek: Regarding #25 – in 2 places you used “unique local address” and in one “ULA”. Section 9.1 (Relay-forward Message) does define ULA (previous to your edits, it was never used – now used in your 1 place). Perhaps we should cleanup as follows:

-          Remove (ULA) from section 9.1

-          Replace your one use of ULA with unique local address

A few notes below.

-          Bernie

From: Dhcpv6bis [mailto:[email-masked]] On Behalf Of Tomek Mrugalski
Sent: Wednesday, June 14, 2017 2:29 PM
To: [email-masked]
Subject: Re: [Dhcpv6bis] WGLC review of draft-ietf-dhc-rfc3315bis-08

W dniu 14.06.2017 o 15:08, Bernie Volz (volz) pisze:
We ran out of time for the last few (row 25 and up), but Tomek will take a look at this and update the sheet with comments.
I just did that. Here are my comments for specific lines:
#25: I agree with Bernie's suggestion. The text has been updated. Please review. Bernie reviewed – see above.
#26: Jinmei said he's not sure whether the problem is there, doesn't have time so he gave up. No other reviewers raised this concern, so there's nothing to do there in my opinion. Bernie marked as done.
#27: not sure what to do here. Perhaps we can wait a bit for Jinmei to contribute a text, but don't treat it as a blocking issue for -09 submission? I’ll follow up with Jinmei to ask him if he has text or what he’d like us to do about it (and that we’d like it “soon” for the 09 version).
#28: the current text is pretty clear to me. No action needed here in my opinion. Bernie marked as done.

Tomek

---

From: Ralph Droms <[email-masked]>
Date: Wed, 14 Jun 2017 18:41:41 -0400

Asking for any opinions - can you characterize the changes in rfc3315bis?  For example, integration of RFCs published after RFC 3315, fixes to bugs in RFC 3315, editorial improvements, ???

- Ralph

> On Jun 14, 2017, at 9:08 AM, Bernie Volz (volz) <[email-masked]> wrote:
> 
> Tomek, Ralph, and I met to review the open issues (seehttps://docs.google.com/spreadsheets/d/10e00zAlqlR58NSsZfmxshv5tr76Ea3pyGyDpll8eDLA/edit?usp=sharing). We ran out of time for the last few (row 25 and up), but Tomek will take a look at this and update the sheet with comments. Input on these (25 and up) or comments about earlier ones we evaluated if you have a difference of opinion are welcome.
>  
> 	• Bernie
>> ·         Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by June 6th, 2017, Templin, Fred L
>> ·         Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by May 30th, 2017, kkinnear
>> ·         Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by May 30th, 2017, 神明達哉
>> ·         Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by May 30th, 2017, Bernie Volz (volz)
>> ·         Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by May 30th, 2017, 神明達哉
>> ·         Re: [dhcwg] WGLC for draft-ietf-dhc-rfc3315bis-08 - Respond by May 30th, 2017, Bernie Volz (volz)
>> ·         Tomek & Bernie
>>   
>>   
>> Join WebEx meeting   
>> If you are a host, go here to view host information.
>> 
>> Join by phone  
>> Global call-in numbers  |  Toll-free calling restrictions   
>>   
>>   
>> Can't join the meeting? Contact support.   
>>

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Thu, 15 Jun 2017 02:53:33 +0000

See https://tools.ietf.org/html/draft-ietf-dhc-rfc3315bis-08#section-1.1 and https://tools.ietf.org/html/draft-ietf-dhc-rfc3315bis-08#appendix-A.

On 6/14/17, 6:41 PM, "Ralph Droms" <[email-masked]> wrote:

    - Ralph

---

From: "Templin, Fred L" <[email-masked]>
Date: Tue, 20 Jun 2017 18:01:11 +0000

Hi Bernie,

In my on-list WGLC post, I said:

> I read the entire document, and have only one comment. In section 18.3, the
> sentence:
> 
>   “The server must be aware of the recommendations on packet sizes and the
>     use of fragmentation in Section 5 of [RFC2460].”
>
> Suggest changing this to:
>
>   “The server must honor the recommendations on packet sizes and the
>     use of fragmentation in Section 5 of [RFC2460].”

However, I think an even more appropriate phrasing would be:

  “The server must observe the recommendations on packet sizes and the
    use of fragmentation in Section 5 of [RFC2460].”

My rationale is that "must be aware of" is too weak, and an implication
could choose to "be aware" of the recommendations but then ignore
them with no fears that something bad might happen. Conversely,
the phrase "must observe" strongly implies that the recommendations
are there to be followed, and bad things can happen if they are not
followed.

Thanks - Fred

> -----Original Message-----
> From: Dhcpv6bis [mailto:[email-masked]] On Behalf Of Bernie Volz (volz)
> Sent: Wednesday, June 14, 2017 7:54 PM
> To: Ralph Droms <[email-masked]>
> Cc: Timothy Winters <[email-masked]>; [email-masked]
>     Asking for any opinions - can you characterize the changes in rfc3315bis?  For example, integration of RFCs published after RFC 3315,
> fixes to bugs in RFC 3315, editorial improvements, ???
> 
>     - Ralph
> 
>     > Tomek, Ralph, and I met to review the open issues
> (seehttps://docs.google.com/spreadsheets/d/10e00zAlqlR58NSsZfmxshv5tr76Ea3pyGyDpll8eDLA/edit?usp=sharing). We ran out of
> time for the last few (row 25 and up), but Tomek will take a look at this and update the sheet with comments. Input on these (25 and
> up) or comments about earlier ones we evaluated if you have a difference of opinion are welcome.
>     >
>     >> Therefore, Tomek and I propose to use our old Wednesday 0800 EDT (1200 UT) time slot to review those issues worth discussing
> to finalize the set of changes for an -09.
>     >>
>     >> I plan to make many of the minor edits (as I already have started a few) and also pull together an open issues list and distribute
> before the meeting. But, it is a PLAN not a certainty.
>     >>
>     >> IMPORTANT NOTICE: Please note that this WebEx service allows audio and other information sent during the session to be
> recorded, which may be discoverable in a legal matter. By joining this session, you automatically consent to such recordings. If you do
> not consent to being recorded, discuss your concerns with the host or do not join the session..
>     >> ·
>     >> ·
>     >>

---

From: "Bernie Volz (volz)" <[email-masked]>
Date: Tue, 20 Jun 2017 18:06:50 +0000

Fred:

We (a few of the coauthors) decided to leave this be.

Our reason was that in most cases, the network between clients and servers are not the Internet and so there's much more (administrative) control over this. And, to our knowledge, there hasn't been any report of problems.

- Bernie

-----Original Message-----
From: Templin, Fred L [mailto:[email-masked]] 
Sent: Tuesday, June 20, 2017 2:01 PM
To: Bernie Volz (volz) <[email-masked]>; Ralph Droms <[email-masked]>
Cc: Timothy Winters <[email-masked]>; [email-masked]
Subject: RE: [Dhcpv6bis] WGLC review of draft-ietf-dhc-rfc3315bis-08

Hi Bernie,

My rationale is that "must be aware of" is too weak, and an implication could choose to "be aware" of the recommendations but then ignore them with no fears that something bad might happen. Conversely, the phrase "must observe" strongly implies that the recommendations are there to be followed, and bad things can happen if they are not followed.

Thanks - Fred

> See 
> https://tools.ietf.org/html/draft-ietf-dhc-rfc3315bis-08#section-1.1 
> and https://tools.ietf.org/html/draft-ietf-dhc-rfc3315bis-
> 08#appendix-A.
> 
>     Asking for any opinions - can you characterize the changes in 
> rfc3315bis?  For example, integration of RFCs published after RFC 3315, fixes to bugs in RFC 3315, editorial improvements, ???
> 
>     - Ralph
> 
> (seehttps://docs.google.com/spreadsheets/d/10e00zAlqlR58NSsZfmxshv5tr7
> 6Ea3pyGyDpll8eDLA/edit?usp=sharing). We ran out of time for the last 
> few (row 25 and up), but Tomek will take a look at this and update the 
> sheet with comments. Input on these (25 and
>     >> There were 4 WGLC responses with comments (as I write this). 
> While we can skip the typos and other simple corrections, there may be a few issues worth discussing.
>     >>
>     >> Therefore, Tomek and I propose to use our old Wednesday 0800 
> EDT (1200 UT) time slot to review those issues worth discussing to finalize the set of changes for an -09.
>     >>
>     >> We request Ralph to attend as he needs to provide a consensus 
> call (since another WGLC was done) – I will send him a note under separate cover.
>     >>
>     >> I plan to make many of the minor edits (as I already have 
> started a few) and also pull together an open issues list and distribute before the meeting. But, it is a PLAN not a certainty.
>     >>
>     >> IMPORTANT NOTICE: Please note that this WebEx service allows 
> audio and other information sent during the session to be recorded, 
> which may be discoverable in a legal matter. By joining this session, you automatically consent to such recordings. If you do not consent to being recorded, discuss your concerns with the host or do not join the session..
>     >> ·
>     >> ·
>     >>